<?php

$path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
$path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';

if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'edit_file' && isset($_GET['ok']) && isset($_POST['name_lo'])) {
    $fil = preg_replace("#.*/#", NULL, urldecode($_GET['fil']));

    $dir_ll = $_POST['name_lo'];

    if ($f = @fopen($dir_l . '/' . $file . '/' . $fil . '.99.99.name', 'w')) {
        @fwrite($f, stripslashes(htmlspecialchars(esc($dir_ll))));
        fclose($f);
        msg("Изменения сохранены");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Параметры файлов', "Изменение пояснения к файлу $fil");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно изменить пояснение к файлу");
    }
}

if (access('loads_file_delete') && isset($_GET['act']) && $_GET['act'] == 'delete' && isset($_GET['ok'])) {
    $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
    $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
    $file = preg_replace("#.*/#", NULL, urldecode($_GET['f'])); // получение имени файла
    if (@unlink($dir_loads . '/' . $file)) {
        @unlink($dir_loads . '/' . $file . '.1.GIF');
        @unlink($dir_loads . '/' . $file . '.1.JPG');
        @unlink($dir_loads . '/' . $file . '.1.PNG');
        @unlink($dir_loads . '/' . $file . '.2.GIF');
        @unlink($dir_loads . '/' . $file . '.2.JPG');
        @unlink($dir_loads . '/' . $file . '.2.PNG');
        @unlink($dir_loads . '/' . $file . '.3.GIF');
        @unlink($dir_loads . '/' . $file . '.3.JPG');
        @unlink($dir_loads . '/' . $file . '.3.PNG');
        @unlink(H . "sys/loads/screens/128/$size.$name.gif");
        @unlink(H . "sys/loads/screens/48/$size.$name.$ras");
        @unlink(H . "sys/loads/screens/14/$size.$name.$ras.png");
        @unlink(H . "sys/loads/screens/208/$size.$name.$ras");
        $name = preg_replace('#\.[^\.]*$#i', NULL, $file);
        $ras = strtolower(preg_replace('#^.*\.#i', NULL, $file));
        @unlink($dir_loads . '/' . $file . '.name');
        @unlink($dir_loads . '/' . $file . '.99.99.name');
        @unlink($dir_loads . '/' . $file . '.opis');
        @unlink($dir_loads . '/' . $name . '.99.99.jad');
        msg("Файл \"$name2\" успешно удален");
        admin_log('Загруз-центр', 'Удаление', "Удален файл $name2");
        $jfile = preg_replace('#\.jad$#i', '.jar', $file);
        if (function_exists('iconv')) {
            $jfile = iconv('windows-1251', 'utf-8', $jfile);
        }

        $db->query("DELETE FROM `loads_list` WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($jfile) . "' LIMIT 1");
        $db->query("DELETE FROM `loads_rating` WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($jfile) . "' LIMIT 1");
        $db->query("DELETE FROM `loads_komm` WHERE `file` = '" . $db->safesql($jfile) . "' AND `path` = '" . $db->safesql($path) . "'"); // удаление комментариев

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться в папку');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить файл");
    }
    @unlink($dir_loads . '/.k_files');
}

if (access('loads_file_scrj') && isset($_GET['act']) && $_GET['act'] == 'scrj1' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.1.JPG')) {
        @unlink($dir_loads . '/' . $file . '.1.JPG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 1 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');
        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scrj') && isset($_GET['act']) && $_GET['act'] == 'scrj2' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.2.JPG')) {
        @unlink($dir_loads . '/' . $file . '.2.JPG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 2 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');
        include_once H . 'sys/inc/tfoot.php';
    } else
        $err = lang("Невозможно удалить скрин");
}

if (access('loads_file_scrj') && isset($_GET['act']) && $_GET['act'] == 'scrj3' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.3.JPG')) {
        @unlink($dir_loads . '/' . $file . '.3.JPG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 3 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');
        include_once H . 'sys/inc/tfoot.php';
    } else
        $err = lang("Невозможно удалить скрин");
}

if (access('loads_file_scrj') && isset($_GET['act']) && $_GET['act'] == 'scrjpe1' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.1.JPEG')) {
        @unlink($dir_loads . '/' . $file . '.1.JPEG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 1 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');
        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scrj') && isset($_GET['act']) && $_GET['act'] == 'scrjpe2' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.2.JPEG')) {
        @unlink($dir_loads . '/' . $file . '.2.JPEG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 2 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');
        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scrj') && isset($_GET['act']) && $_GET['act'] == 'scrjpe3' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.3.JPEG')) {
        @unlink($dir_loads . '/' . $file . '.3.JPEG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 3 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');
        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}


if (access('loads_file_scrp') && isset($_GET['act']) && $_GET['act'] == 'scrp1' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.1.PNG')) {
        @unlink($dir_loads . '/' . $file . '.1.PNG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 1 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scrp') && isset($_GET['act']) && $_GET['act'] == 'scrp2' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.2.PNG')) {
        @unlink($dir_loads . '/' . $file . '.2.PNG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 2 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scrp') && isset($_GET['act']) && $_GET['act'] == 'scrp3' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.3.PNG')) {
        @unlink($dir_loads . '/' . $file . '.3.PNG');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 3 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scrg') && isset($_GET['act']) && $_GET['act'] == 'scrg1' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.1.GIF')) {
        @unlink($dir_loads . '/' . $file . '.1.GIF');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 1 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scrg') && isset($_GET['act']) && $_GET['act'] == 'scrg2' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.2.GIF')) {
        @unlink($dir_loads . '/' . $file . '.2.GIF');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 2 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scrg') && isset($_GET['act']) && $_GET['act'] == 'scrg3' && isset($_GET['ok'])) {

    if (@unlink($dir_loads . '/' . $file . '.3.GIF')) {
        @unlink($dir_loads . '/' . $file . '.3.GIF');
        msg("Скрин к файлу \"$name2\" успешно удален");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Удаление', "Удален скрин 3 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно удалить скрин");
    }
}

if (access('loads_file_scr') && isset($_GET['act']) && $_GET['act'] == 'scr1' && isset($_POST['ok']) && $l != null) {
    if (isset($_FILES["scr1"]) && !preg_match('#^\.|\.name$|\.opis$#i', $_FILES["scr1"]['name']) && filesize($_FILES["scr1"]['tmp_name']) > 0) {
        if (@unlink($dir_loads . '/' . $file . '.1.PNG')) {
            @unlink($dir_loads . '/' . $file . '.1.PNG');
        }
        if (@unlink($dir_loads . '/' . $file . '.1.GIF')) {
            @unlink($dir_loads . '/' . $file . '.1.GIF');
        }
        if (@unlink($dir_loads . '/' . $file . '.1.JPG')) {
            @unlink($dir_loads . '/' . $file . '.1.JPG');
        }
        $ras = strtolower(preg_replace('#^.*\.#i', NULL, $file));
        $scr_ras = strtoupper(preg_replace('#^.*\.#i', NULL, $_FILES["scr1"]['name']));
        @copy($_FILES["scr1"]['tmp_name'], $dir_loads . '/' . $file . '.1.' . $scr_ras);

        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");

        msg("Скрин к файлу \"$name2\" успешно выгружен");
        admin_log('Загруз-центр', 'Выгрузка', "Выгружен скрин 1 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно выгрузить скрин");
    }
}

if (access('loads_file_scr') && isset($_GET['act']) && $_GET['act'] == 'scr2' && isset($_POST['ok']) && $l != null) {
    if (isset($_FILES["scr2"]) && !preg_match('#^\.|\.name$|\.opis$#i', $_FILES["scr2"]['name']) && filesize($_FILES["scr2"]['tmp_name']) > 0) {
        if (@unlink($dir_loads . '/' . $file . '.2.PNG')) {
            @unlink($dir_loads . '/' . $file . '.2.PNG');
        }
        if (@unlink($dir_loads . '/' . $file . '.2.GIF')) {
            @unlink($dir_loads . '/' . $file . '.2.GIF');
        }
        if (@unlink($dir_loads . '/' . $file . '.2.JPG')) {
            @unlink($dir_loads . '/' . $file . '.2.JPG');
        }
        $ras = strtolower(preg_replace('#^.*\.#i', NULL, $file));
        $scr_ras = strtoupper(preg_replace('#^.*\.#i', NULL, $_FILES["scr2"]['name']));
        @copy($_FILES["scr2"]['tmp_name'], $dir_loads . '/' . $file . '.2.' . $scr_ras);

        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");

        msg("Скрин к файлу \"$name2\" успешно выгружен");
        admin_log('Загруз-центр', 'Выгрузка', "Выгружен скрин 2 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно выгрузить скрин");
    }
}

if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'files_osnov_add' && isset($_POST['ok']) && $l != null) {
    if (isset($_FILES["file1"]) && !preg_match('#^\.|\.name$|\.opis$#i', $_FILES["file1"]['name']) && filesize($_FILES["file1"]['tmp_name']) > 0) {
        $newwfile = tr_loads(retranslit($_FILES["file1"]['name']));
        $size = filesize($dir_loads . '/' . $file);
        $namme = preg_replace('#\.[^\.]*$#i', NULL, $newwfile); // имя файла без расширения

        @copy($_FILES["file1"]['tmp_name'], $dir_loads . '/' . $newwfile);
        @chmod($dir_loads . '/' . $newwfile, 0777);
        @unlink($dir_loads . '/' . $file);


        @rename($dir_loads . '/' . $file . '.opis', $dir_loads . '/' . $newwfile . '.opis');
        @rename($dir_loads . '/' . $file . '.1.GIF', $dir_loads . '/' . $newwfile . '.1.GIF');
        @rename($dir_loads . '/' . $file . '.1.JPG', $dir_loads . '/' . $newwfile . '.1.JPG');
        @rename($dir_loads . '/' . $file . '.1.PNG', $dir_loads . '/' . $newwfile . '.1.PNG');
        @rename($dir_loads . '/' . $file . '.2.GIF', $dir_loads . '/' . $newwfile . '.2.GIF');
        @rename($dir_loads . '/' . $file . '.2.JPG', $dir_loads . '/' . $newwfile . '.2.JPG');
        @rename($dir_loads . '/' . $file . '.2.PNG', $dir_loads . '/' . $newwfile . '.2.PNG');
        @rename($dir_loads . '/' . $file . '.3.GIF', $dir_loads . '/' . $newwfile . '.3.GIF');
        @rename($dir_loads . '/' . $file . '.3.JPG', $dir_loads . '/' . $newwfile . '.3.JPG');
        @rename($dir_loads . '/' . $file . '.3.PNG', $dir_loads . '/' . $newwfile . '.3.PNG');
        @rename($dir_loads . '/' . $file . '.name', $dir_loads . '/' . $newwfile . '.name');
        @rename($dir_loads . '/' . $file . '.99.99.name', $dir_loads . '/' . $newwfile . '.99.99.name');
        @rename($dir_loads . '/' . $name . '.99.99.jad', $dir_loads . '/' . $namme . '.99.99.jad');
        $jfile = preg_replace('#\.jad$#i', '.jar', $file);
        $jfile2 = preg_replace('#\.jad$#i', '.jar', $newwfile);
        $size2 = filesize($dir_loads . '/' . $newwfile);
        if (function_exists('iconv')) {
            $jfile2 = iconv('windows-1251', 'utf-8', $jfile2);
        }

        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `name` = '" . $db->safesql($jfile2) . "' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($jfile) . "' LIMIT 1");
        $db->query("UPDATE `loads_list` SET `size` = '$size2' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($jfile2) . "' LIMIT 1");
        $db->query("UPDATE `loads_komm` SET `file` = '" . $db->safesql($jfile2) . "' WHERE `file` = '" . $db->safesql($jfile) . "' AND `size` = '$size'");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file2) . "' LIMIT 1");
        msg("Файл $newwfile успешно вугружен");
        admin_log('Загруз-центр', 'Добавление файлов', "Выгружен дополнительный файл $newwfile к файлу $file");
    } else {
        $err = lang('Невозможно выгрузить файл');
    }
}

if (access('loads_file_scr') && isset($_GET['act']) && $_GET['act'] == 'scr3' && isset($_POST['ok']) && $l != null) {
    if (isset($_FILES["scr3"]) && !preg_match('#^\.|\.name$|\.opis$#i', $_FILES["scr3"]['name']) && filesize($_FILES["scr3"]['tmp_name']) > 0) {
        if (@unlink($dir_loads . '/' . $file . '.3.PNG')) {
            @unlink($dir_loads . '/' . $file . '.3.PNG');
        }
        if (@unlink($dir_loads . '/' . $file . '.3.GIF')) {
            @unlink($dir_loads . '/' . $file . '.3.GIF');
        }
        if (@unlink($dir_loads . '/' . $file . '.3.JPG')) {
            @unlink($dir_loads . '/' . $file . '.3.JPG');
        }
        $ras = strtolower(preg_replace('#^.*\.#i', NULL, $file));
        $scr_ras = strtoupper(preg_replace('#^.*\.#i', NULL, $_FILES["scr3"]['name']));
        @copy($_FILES["scr3"]['tmp_name'], $dir_loads . '/' . $file . '.3.' . $scr_ras);

        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");

        msg("Скрин к файлу \"$name2\" успешно выгружен");
        admin_log('Загруз-центр', 'Выгрузка', "Выгружен скрин 3 к файлу $name2");

        $doc->Link('list-group-item-null', "?" . url("d=$l&amp;scr=1&amp;&amp;f=$file&amp;page=$_SESSION[page]") . "", 'arrow-left', 'Вернуться к файлу');

        include_once H . 'sys/inc/tfoot.php';
    } else {
        $err = lang("Невозможно выгрузить скрин");
    }
}

if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'osnov' && isset($_GET['ok']) && isset($_POST['name_l'])) {

    @unlink($dir_loads . '/' . $file . '.99.99.name');

    if ($f = @fopen($dir_loads . '/' . $file . '.99.99.name', 'w')) {
        @fwrite($f, stripslashes(htmlspecialchars(esc($_POST["name_l"]))));
        fclose($f);
        @chmod($dir_loads . '/' . $file . '.99.99.name', 0777);
        msg("Изменения сохранены");
        $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
        $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
        $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");
        admin_log('Загруз-центр', 'Параметры файлов', "Изменено пояснение файла $file");
    } else {
        $err = lang("Невозможно изменить пояснение файла в загрузках");
    }
}


if (access('loads_file_edit') && isset($_GET['act']) && $_GET['act'] == 'prop' && isset($_GET['ok']) && isset($_POST['name_serv']) && isset($_POST['ras_serv']) && isset($_POST['name_loads']) && isset($_POST['opis'])) {

    $new_name_serv = $_POST['name_serv'] . '.' . $_POST['ras_serv'];

    if ($new_name_serv == NULL) {
        $err = lang('Введите название файла');
    } elseif (!preg_match('#^[^/]*.[^/]*$#', $new_name_serv)) {
        $err = lang("Не указан тип файла");
    } elseif (preg_match('#^\.|\.name$|\.opis$#', $new_name_serv)) {
        $err = lang("Запрещенное расширение файла");
    } else {

        if (function_exists('iconv')) {
            $newdir_serv = retranslit(esc($new_name_serv));
        }
        if (@rename($dir_loads . '/' . $file, $dir_loads . '/' . $newdir_serv)) {
            $jfile = preg_replace('#\.jad$#i', '.jar', $file);
            if (function_exists('iconv')) {
                $jfile = iconv('windows-1251', 'utf-8', $jfile);
            }

            $name = preg_replace('#\.[^\.]*$#i', NULL, $file); // имя файла без расширения
            @unlink($dir_loads . '/' . $name . '.99.99.jad');
            @unlink($dir_loads . '/' . $file . '.name');
            @rename($dir_loads . '/' . $file . '.opis', $dir_loads . '/' . $newdir_serv . '.opis');
            @rename($dir_loads . '/' . $file . '.1.GIF', $dir_loads . '/' . $newdir_serv . '.1.GIF');
            @rename($dir_loads . '/' . $file . '.1.JPG', $dir_loads . '/' . $newdir_serv . '.1.JPG');
            @rename($dir_loads . '/' . $file . '.1.PNG', $dir_loads . '/' . $newdir_serv . '.1.PNG');
            @rename($dir_loads . '/' . $file . '.2.GIF', $dir_loads . '/' . $newdir_serv . '.2.GIF');
            @rename($dir_loads . '/' . $file . '.2.JPG', $dir_loads . '/' . $newdir_serv . '.2.JPG');
            @rename($dir_loads . '/' . $file . '.2.PNG', $dir_loads . '/' . $newdir_serv . '.2.PNG');
            @rename($dir_loads . '/' . $file . '.3.GIF', $dir_loads . '/' . $newdir_serv . '.3.GIF');
            @rename($dir_loads . '/' . $file . '.3.JPG', $dir_loads . '/' . $newdir_serv . '.3.JPG');
            @rename($dir_loads . '/' . $file . '.3.PNG', $dir_loads . '/' . $newdir_serv . '.3.PNG');
            @rename($dir_loads . '/' . $file . '.99.99.name', $dir_loads . '/' . $newdir_serv . '.99.99.name');

            $file = preg_replace("#.*/#", NULL, $newdir_serv); // получение имени файла
            $name = preg_replace('#\.[^\.]*$#i', NULL, $file); // имя файла без расширения
            $ras = strtolower(preg_replace('#^.*\.#i', NULL, $file)); // расширение (в нижнем регистре)

            $jfile2 = preg_replace('#\.jad$#i', '.jar', $newdir_serv);
            if (function_exists('iconv')) {
                $jfile2 = iconv('windows-1251', 'utf-8', $jfile2);
            }

            $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
            $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';

            $db->query("UPDATE `loads_list` SET `name` = '" . $db->safesql($jfile2) . "' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($jfile) . "' LIMIT 1");
            $db->query("UPDATE `loads_komm` SET `file` = '" . $db->safesql($jfile2) . "' WHERE `path` = '" . $db->safesql($path) . "' AND `file` = '" . $db->safesql($jfile) . "'");
            $db->query("UPDATE `loads_rating` SET `name` = '" . $db->safesql($jfile2) . "' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($jfile) . "'");
            $path = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $l) : $l;
            $path = '/' . preg_replace('#^/+|/+$#i', null, $path) . '/';
            $db->query("UPDATE `loads_list` SET `time_r` = '$time' WHERE `path` = '" . $db->safesql($path) . "' AND `name` = '" . $db->safesql($file) . "' LIMIT 1");

            admin_log('Загруз-центр', 'Параметры файлов', "Файл $file переименован в $jfile2");

            if ($_POST["opis"] != NULL) {
                $f = @fopen($dir_loads . '/' . $file . '.opis', 'w');
                @fwrite($f, stripslashes(htmlspecialchars(esc($_POST["opis"]))));
                @fclose($f);
                @chmod($dir_loads . '/' . $file . '.opis', 0777);
            }
            $newdir_loads = esc($_POST['name_loads'], 1);
            if ($f = @fopen($dir_loads . '/' . $newdir_serv . '.name', 'w')) {
                @fwrite($f, $newdir_loads);
                fclose($f);
                admin_log('Загруз-центр', 'Параметры файлов', "Файл '$name2' переименован в '$newdir_loads'");
                $name2 = $newdir_loads;
                @chmod($dir_loads . '/' . $newdir_serv . '.name', 0777);
                msg("Изменения сохранены");
            } else {
                $err = lang("Невозможно изменить название файла в загрузках");
            }
        } else {
            $err = lang("Невозможно изменить название файла на сервере");
        }
    }
}

if (access('loads_dir_mesto') && isset($_GET['act']) && $_GET['act'] == 'mesto' && isset($_GET['ok']) && isset($_POST['path']) && isset($_POST['path1']) && $l != NULL) {
    $new_dir = urldecode($_POST['path']);
    $new_dir1 = urldecode($_POST['path1']);
    if (is_file($new_dir . '/' . $file)) {
        $err = 'Нельзя переместить в одну и туже папку ';
    } else {
        $name = preg_replace('#\.[^\.]*$#i', NULL, $file); // имя файла без расширения
        @copy($dir_loads . '/' . $file, $new_dir . '/' . $file);
        @copy($dir_loads . '/' . $file . '.name', $new_dir . '/' . $file . '.name');
        if (is_file($dir_loads . '/' . $name . '.99.99.jad'))
            @copy($dir_loads . '/' . $name . '.99.99.jad', $new_dir . '/' . $name . '.99.99.jad');

        @copy($dir_loads . '/' . $file . '.99.99.name', $new_dir . '/' . $file . '.99.99.name');
        if (is_file($dir_loads . '/' . $file . '.opis'))
            @copy($dir_loads . '/' . $file . '.opis', $new_dir . '/' . $file . '.opis');
        if (is_file($dir_loads . '/' . $file . '.1.JPG'))
            @copy($dir_loads . '/' . $file . '.1.JPG', $new_dir . '/' . $file . '.1.JPG');
        if (is_file($dir_loads . '/' . $file . '.1.PNG'))
            @copy($dir_loads . '/' . $file . '.1.PNG', $new_dir . '/' . $file . '.1.PNG');
        if (is_file($dir_loads . '/' . $file . '.1.JPEG'))
            @copy($dir_loads . '/' . $file . '.1.JPEG', $new_dir . '/' . $file . '.1.JPEG');
        if (is_file($dir_loads . '/' . $file . '.1.GIF'))
            @copy($dir_loads . '/' . $file . '.1.GIF', $new_dir . '/' . $file . '.1.GIF');
        if (is_file($dir_loads . '/' . $file . '.2.JPG'))
            @copy($dir_loads . '/' . $file . '.2.JPG', $new_dir . '/' . $file . '.2.JPG');
        if (is_file($dir_loads . '/' . $file . '.2.PNG'))
            @copy($dir_loads . '/' . $file . '.2.PNG', $new_dir . '/' . $file . '.2.PNG');
        if (is_file($dir_loads . '/' . $file . '.2.JPEG'))
            @copy($dir_loads . '/' . $file . '.2.JPEG', $new_dir . '/' . $file . '.2.JPEG');
        if (is_file($dir_loads . '/' . $file . '.2.GIF'))
            @copy($dir_loads . '/' . $file . '.2.GIF', $new_dir . '/' . $file . '.2.GIF');
        if (is_file($dir_loads . '/' . $file . '.3.JPG'))
            @copy($dir_loads . '/' . $file . '.3.JPG', $new_dir . '/' . $file . '.3.JPG');
        if (is_file($dir_loads . '/' . $file . '.3.PNG'))
            @copy($dir_loads . '/' . $file . '.3.PNG', $new_dir . '/' . $file . '.3.PNG');
        if (is_file($dir_loads . '/' . $file . '.3.JPEG'))
            @copy($dir_loads . '/' . $file . '.3.JPEG', $new_dir . '/' . $file . '.3.JPEG');
        if (is_file($dir_loads . '/' . $file . '.3.GIF'))
            @copy($dir_loads . '/' . $file . '.3.GIF', $new_dir . '/' . $file . '.3.GIF');

        $file = preg_replace("#.*/#", NULL, urldecode($_GET['f'])); // получение имени файла
        @unlink($dir_loads . '/' . $file . '.name');
        @unlink($dir_loads . '/' . $file);
        @unlink($dir_loads . '/' . $file . '.opis');
        @unlink($dir_loads . '/' . $file . '.99.99.name');
        if (is_file($dir_loads . '/' . $file . '.1.JPG'))
            @unlink($dir_loads . '/' . $file . '.1.JPG');

        if (is_file($dir_loads . '/' . $file . '.1.JPEG'))
            @unlink($dir_loads . '/' . $file . '.1.JPEG');

        if (is_file($dir_loads . '/' . $file . '.1.PNG'))
            @unlink($dir_loads . '/' . $file . '.1.PNG');

        if (is_file($dir_loads . '/' . $file . '.1.GIF'))
            @unlink($dir_loads . '/' . $file . '.1.GIF');

        if (is_file($dir_loads . '/' . $file . '.2.JPG'))
            @unlink($dir_loads . '/' . $file . '.2.JPG');

        if (is_file($dir_loads . '/' . $file . '.2.JPEG'))
            @unlink($dir_loads . '/' . $file . '.2.JPEG');

        if (is_file($dir_loads . '/' . $file . '.2.PNG'))
            @unlink($dir_loads . '/' . $file . '.2.PNG');

        if (is_file($dir_loads . '/' . $file . '.2.GIF'))
            @unlink($dir_loads . '/' . $file . '.2.GIF');

        if (is_file($dir_loads . '/' . $file . '.3.JPG'))
            @unlink($dir_loads . '/' . $file . '.3.JPG');

        if (is_file($dir_loads . '/' . $file . '.3.JPEG'))
            @unlink($dir_loads . '/' . $file . '.3.JPEG');

        if (is_file($dir_loads . '/' . $file . '.3.PNG'))
            @unlink($dir_loads . '/' . $file . '.3.PNG');

        if (is_file($dir_loads . '/' . $file . '.3.GIF'))
            @unlink($dir_loads . '/' . $file . '.3.GIF');

        if (is_file($dir_loads . '/' . $name . '.99.99.jad')) {
            @unlink($dir_loads . '/' . $name . '.99.99.jad');
        }

        msg('Файл успешно перемещен');
        $path1 = str_replace('../sys/loads/files', null, $new_dir);
        $path1 = (function_exists('iconv')) ? iconv('windows-1251', 'utf-8', $path1) : $path1;
        $path1 = '/' . preg_replace('#^/+|/+$#i', null, $path1) . '/';
        $db->query("UPDATE `loads_list` SET `path` = '" . $db->safesql($path1) . "' WHERE `name` = '" . $db->safesql($file) . "' AND `path` = '" . $db->safesql($path) . "' LIMIT 1");
        $db->query("UPDATE `loads_rating` SET `path` = '" . $db->safesql($path1) . "' WHERE `name` = '" . $db->safesql($file) . "' AND `path` = '" . $db->safesql($path) . "' LIMIT 1");
        $db->query("UPDATE `loads_komm` SET `path` = '" . $db->safesql($path1) . "' WHERE `file` = '" . $db->safesql($file) . "' AND `path` = '" . $db->safesql($path) . "' LIMIT 1");
        header("Refresh: 1; url=?d=$l&page=$_SESSION[page]");
    }
}
